{% extends "base.html" %}
{% load i18n %}
{% load diesos_extras %}
{% block title %}{% translate "treatment types"|capfirst %}{% endblock %}
{% block content %}
  <div class="row">
    <div class="col">
      <h1>{% translate "treatment type"|capfirst %}</h1>
    </div>
  </div>
  <div class="row">
    <div class="col text-end">
      {% if perms.treatments.add_treatmenttype %}
        <a href="{% url 'treatments:add-treatment-type' %}"
           class="btn btn-outline-primary">{% translate "add"|capfirst %}</a>
      {% endif %}
    </div>
  </div>
  <div class="row">
    <div class="col">
      <table class="table table-hover">
        <thead>
        <tr>
          <th></th>
          <th>{% translate 'name'|capfirst %}</th>
          <th>{% translate 'color'|capfirst %}</th>
          <th>{% translate 'duration'|capfirst %}</th>
          <th>{% translate 'description'|capfirst %}</th>
          <th></th>
        </tr>
        </thead>
        <tbody>
        {% for treatment in object_list %}
          <tr onclick="window.location='{{ treatment.get_absolute_url }}'">
            <td><i class="h1 {{ treatment.icon_class }}"></i></td>
            <td>{{ treatment.name }}</td>
            <td>
              <div style="width:20px;height:20px;background-color:{{ treatment.color }}; border-radius:20%;"></div>
            </td>
            <td>{{ treatment.duration|format_duration }}</td>
            <td>{{ treatment.description|truncatechars:50 }}</td>
            <td>
              <div class="d-flex justify-content-end">
                {% if perms.treatments.change_treatmenttype %}
                  <a href="{% url 'treatments:change-treatment-type' treatment.id %}"
                     class="btn-sm btn-outline-primary mx-1"><i class="bi bi-pencil"></i></a>
                {% endif %}
                {% if perms.treatments.delete_treatmenttype %}
                  <a href="{% url 'treatments:delete-treatment-type' treatment.id %}"
                     class="btn-sm btn-outline-danger mx-1"><i class="bi bi-trash"></i></a>
                {% endif %}
              </div>
            </td>
          </tr>
        {% endfor %}
        </tbody>
      </table>
    </div>
  </div>
{% endblock %}
